CONFIG +=			release \
					warn_on \
					qt \
					thread

# DEFINES	+=			DEBUG_TX_RX


TEMPLATE =			app
DESTDIR =			bin

CONFIG(debug, debug|release) {
	TARGET =		dccontrollerstatusd
} else {
	TARGET =		dccontrollerstatus
}

OBJECTS_DIR =		build/obj
MOC_DIR =			build/moc

QT +=				core \
					gui \
					network

greaterThan(QT_MAJOR_VERSION, 4): {
QT +=				widgets

}

# DEPENDPATH +=		<relative path>/lib
# INCLUDEPATH +=	<relative path>/src
# LIBS+=			-L<relative path>/lib -l<library name>

SOURCES +=			src/dccontrollerstatus.cpp \
					src/main.cpp

HEADERS +=			src/dccontrollerstatus.h

RESOURCES +=		res/dccontrollerstatus.qrc

macx{

ICON =				res/icons.icns
OBJECTIVE_SOURCES += ../core/nspool.mm
HEADERS += 			../core/nspool.mm
LIBS +=				-framework AppKit -framework Cocoa

QMAKE_INFO_PLIST = ../default_data/Info.plist
}

linux-g++{

isEmpty(PREFIX) {
PREFIX = 			/usr/lib/dccontrollerstatus
}
target.path =		$$PREFIX
target.files =		bin/dccontrollerstatus
INSTALLS +=			target

# QMAKE_POST_LINK = patchelf --set-rpath ./qtlibs bin/dccontrollerstatus
}

win32 {
RC_FILE =			res/resource.rc
}
